Bug 477668 - PHP include_path incorrect
PHP include_path incorrect
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Joe Orton
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 14:46 EST by HostMySite.com
Modified: 2009-01-07 06:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 06:47:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HostMySite.com 2008-12-22 14:46:10 EST
Description of problem:

The default php.ini file comes with the Windows include_path un-commented, which seems to be an obvious oversight.

Version-Release number of selected component (if applicable):

PHP 5.1.6

# cat /etc/issue
Red Hat Enterprise Linux Server release 5.2 (Tikanga)
Kernel \r on an \m

How reproducible:

All of our new servers seem to be afflicted by the same issue.

Steps to Reproduce:
1. Install PHP from standard RPMs
2. grep ^include_path /etc/php.ini
3. profit
  
Actual results:

# grep ^include_path /etc/php.ini
include_path = ".;c:\php\includes

Expected results:
# grep ^include_path /etc/php.ini
include_path = ".:/php/includes"
Comment 1 Joe Orton 2009-01-02 05:42:27 EST
Thanks for the report.  With the default php.ini you should get output as follows:

[root@dhcp-0-199 ~]# grep include_path /etc/php.ini 
; (directory must also be in include_path or full path must
;include_path = ".:/php/includes"
;include_path = ".;c:\php\includes"

Please post the output of:

# rpm -q php
# rpm -V php

from this system.
Comment 2 HostMySite.com 2009-01-02 20:18:14 EST
[root@serve r~]# grep include_path /etc/php.ini
; (directory must also be in include_path or full path must
include_path = ".:/php/includes"
;include_path = ".;c:\php\includes"


[root@server ~]# rpm -q php
php-5.1.6-20.el5_2.1


[root@server ~]# rpm -V php
S.5....T c /etc/httpd/conf.d/php.conf
Comment 3 Joe Orton 2009-01-05 04:47:13 EST
Ah, actually, the correct rpm -V command to run should be:

rpm -V php-common

it looks pretty clear /etc/php.ini is modified from the default on this box, in any case.
Comment 4 HostMySite.com 2009-01-06 10:43:30 EST
Just checked a fresh server:

[root@ninja ~]# grep include_path /etc/php.ini
; (directory must also be in include_path or full path must
;include_path = ".:/php/includes"
;include_path = ".;c:\php\includes"
[root@ninja ~]# cat /etc/issue
Red Hat Enterprise Linux Server release 5.2 (Tikanga)
Kernel \r on an \m

Must be our deploys that are causing the problem.

This report can be closed.
Comment 5 Joe Orton 2009-01-07 06:47:11 EST
Thanks for reporting back!

Note You need to log in before you can comment on or make changes to this bug.